Skip to content

Get a single meeting for a customer by ID, including its transcript

Request

Security
bearerAuth
Path
organizationIdstringrequired

Organization ID of the member accessing the resource

Example:my-organization-id
customerIdinteger, ( 0 .. 9007199254740991 ]required
meetingIdinteger, ( 0 .. 9007199254740991 ]required
curl -i -X GET \
  'https://docs.api.hook.co/_mock/v1/openapi/organizations/my-organization-id/customers/{customerId}/meetings/{meetingId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Default Response

Bodyapplication/json
idinteger, ( 0 .. 9007199254740991 ]required
Example:88
customerIdinteger, ( 0 .. 9007199254740991 ]required
Example:12
topicstringrequired
Example:"Quarterly business review"
summarystring or nullrequired
Example:"Reviewed adoption and agreed next steps."
urlstring or nullrequired
Example:"https://meet.example.com/abc-defg-hij"
startDatestring, (date-time)required
endDatestring, (date-time)required
membersArray of objects(Member)required
usersArray of objects(MeetingPerson)required
contactsArray of objects(MeetingPerson)required
unmatchedParticipantsArray of stringsrequired

Participants that could not be matched to a member, user or contact

Example:
[ "guest@example.com" ]
nextStepsArray of stringsrequired
Example:
[ "Share the updated pricing proposal" ]
hasTranscriptbooleanrequired
createdDatestring, (date-time)required
updatedDatestring, (date-time)required
transcriptArray of objects or null(MeetingTranscriptLine)required

The lines of the transcript, in order. Null when the meeting was not transcribed

Response
{ "id": 88, "customerId": 12, "topic": "Quarterly business review", "summary": "Reviewed adoption and agreed next steps.", "url": "https://meet.example.com/abc-defg-hij", "startDate": "2019-08-24T14:15:22Z", "endDate": "2019-08-24T14:15:22Z", "members": [ {} ], "users": [ {} ], "contacts": [ {} ], "unmatchedParticipants": [ "guest@example.com" ], "nextSteps": [ "Share the updated pricing proposal" ], "hasTranscript": true, "createdDate": "2019-08-24T14:15:22Z", "updatedDate": "2019-08-24T14:15:22Z", "transcript": [ {} ] }